Skip to main content
Settlement files are CSV reports generated by Paybyrd that summarize the financial transactions included in a given settlement period. Each file records the amounts, fees, and references needed to reconcile payouts.
Settlement files serve as official records of financial transactions for a given period. They support reconciliation, compliance monitoring, and financial accountability.
You access settlement files through the Settlement API, which returns a list of files for a given time period.

Authentication

The API authentication needs to be done with a x-api-key header, and it will be provided by Paybyrd.

Retrieving the settlement file

To retrieve the list of files for a period, send a GET request to: https://financehub.paybyrd.com/api/v1/SettlementFiles?createdFrom={startDateTime}&createdTo={endDateTime} Optional query parameters: merchantId and storeId to filter results by merchant or store.

Response content structure

Each item in the response list has the following structure:
FieldTypeDescription
checksumStringMD5 hash of the file contents, represented as a hexadecimal string.
createdAtString (ISO 8601)Timestamp when the file was generated.
groupIdLongCustomer-defined group or organization hierarchy.
merchantIdLongCustomer-defined merchant identifier. Optional.
storeIdLongCustomer-facing merchant identification number. Optional.
idString (UUID)Unique identifier of the settlement file.
urlString (URL)URL to download the settlement file.

Usage recommendations

Paybyrd normally generates one file per day. However, there may be situations where more than one file is generated for the same day, in which case these files are complementary and must be fully processed to obtain all settlement information. To receive settlements consistently on a daily basis, make requests with sequential date periods. For example, an automated system could make one request per day, using the createdTo value from the previous request as the createdFrom value for the next.

Retrieving a list of settlement files for a specific day

To retrieve files for a specific day, set the period to cover the full day: from 00:00:00 to 23:59:59, as shown in the example below.
curl --location --request GET 'https://financehub.paybyrd.com/api/v1/files?createdFrom=2022-11-18T00:00:00&createdTo=2022-11-18T23:59:59' \
--header 'x-api-key: {your_api_key}'
// Success (HTTP Status Code: 200)
{
    "data": [
        {
            "checksum": "ba421754061547e5d80153d3d2923be4",
            "createdAt": "2026-05-26T13:11:02.390069-03:00",
            "groupId": 1,
            "merchantId": 1,
            "id": "59188227-0811-4e30-8c57-b8dff2ab07e9",
            "url": "https://financehubstoragestg.blob.core.windows.net/settlements-paybyrd/57/87/2026-05-26T16-11-00-4990180%2B0-PaybyrdSettlement.csv?sv=2025-07-05&se=2026-06-17T09%3A53%3A19Z&sr=b&sp=r&sig=MGQ7rFFMvIskJtcsefdvCh6lYnp6lqIrTbzN2n3rB48%3D"
        }
    ]
}
// Not Found (HTTP Status Code: 404)
{
    "data": {
        "problemDetails": {
            "type": "ApplicationNotFoundFail",
            "title": "Settlement file not found with the specified  period.",
            "status": 404,
            "instance": "not_found",
            "extensions": {}
        },
        "contentType": "application/problem+json",
        "statusCode": 404
    }
}

Retrieving a list of settlement files (period filtering)

When filtering by period, days with no settlement file are omitted from the results.
curl --location --request GET 'https://financehub.paybyrd.com/api/v1/files?createdFrom=2022-11-18T00:00:00&createdTo=2022-11-25T23:59:59' \
--header 'x-api-key: {your_api_key}'
// Success (HTTP Status Code: 200)
{
    "data": [
        {
            "checksum": "ba421754061547e5d80153d3d2923be4",
            "createdAt": "2026-05-26T13:11:02.390069-03:00",
            "groupId": 1,
            "merchantId": 1,
            "id": "59188227-0811-4e30-8c57-b8dff2ab07e9",
            "url": "https://financehubstoragestg.blob.core.windows.net/settlements-paybyrd/57/87/2026-05-26T16-11-00-4990180%2B0-PaybyrdSettlement.csv?sv=2025-07-05&se=2026-06-17T09%3A53%3A19Z&sr=b&sp=r&sig=MGQ7rFFMvIskJtcsefdvCh6lYnp6lqIrTbzN2n3rB48%3D"
        },
        {
            "checksum": "ba421754061547e5d80153d3d2923be4",
            "createdAt": "2026-05-26T13:11:02.390069-03:00",
            "groupId": 1,
            "merchantId": 1,
            "id": "59188227-0811-4e30-8c57-b8dff2ab07e9",
            "url": "https://financehubstoragestg.blob.core.windows.net/settlements-paybyrd/57/87/2026-05-26T16-11-00-4990180%2B0-PaybyrdSettlement.csv?sv=2025-07-05&se=2026-06-17T09%3A53%3A19Z&sr=b&sp=r&sig=MGQ7rFFMvIskJtcsefdvCh6lYnp6lqIrTbzN2n3rB48%3D"
        }
    ]
}
// Not Found (HTTP Status Code: 404)
{
    "data": {
        "problemDetails": {
            "type": "ApplicationNotFoundFail",
            "title": "Settlement file not found with the specified  period.",
            "status": 404,
            "instance": "not_found",
            "extensions": {}
        },
        "contentType": "application/problem+json",
        "statusCode": 404
    }
}
// Bad Request (HTTP Status Code: 400)
{
  "error": {
    "code": "BYRD900",
    "message": "Invalid settlement filter date (createdAt)."
  }
}
// Unexpected errors (HTTP Status Code: 500)
{
  "error": {
    "code": "BYRD999",
    "message": "Internal server error."
  }
}

File specification

The file is created in CSV format using | (pipe) as a separator. The filename follows this pattern: yyyy-MM-ddThh-mm-ssZ-PaybyrdSettlement.csv Example: 2022-11-18T16-49-58Z-PaybyrdSettlement.csv

Field specifications

Field nameTypeFormatDescription
PAYMENT_REFERENCEString(12)AlphanumericUnique number assigned to every “Fund Event” (ACH Payment/Withdrawal, Wire Transfer, Invoice)
ACQUIRER_TRANSACTION_REFERENCEString(72)***The identifier of the transaction in the Acquirer
ACQUIRER_UNIQUE_TRANSACTION_REFERENCEString(72)***The identifier of the transaction lifetime in the Acquirer. If a transaction has an event fund, this ID will always be the same as the ID of the transaction that was processed. This can be translated by the Acquirer common ID, like ARN.
PAYBYRD_TRANSACTION_REFERENCEString(36)***The identifier of the transaction at Paybyrd
STORE_LEGAL_NAMEString(200)***Doing Business As (DBA) Name
GROUP_IDLongNumericCustomer-defined group or organization hierarchy assigned with DBA/MID locations
MERCHANT_IDLongNumericCustomer-defined subgroup or organization hierarchy assigned with DBA/MID locations
STORE_IDLongNumericCustomer Facing Merchant Identification Number
ORDER_IDString(36)GUIDA unique reference number generated by Paybyrd to initiate transactions by HPP
IBANString(34)***International Bank Account Number of the Customer to which the Fund Event is directed
SWIFTString(11)***SWIFT (Society for Worldwide Interbank Financial Telecommunications) code of the bank of the Customer to which the Fund Event is directed
SETTLEMENT_AMOUNTLongISO amountTransaction amount in the settlement currency
TRANSACTION_TYPEChar(2)“P” = Payment; “PA” = Pre-Auth; “R” = Refund; “A” = Adjustment; “C” = Chargeback; “CR” = Chargeback reversalDetailed record tag identifying
SETTLEMENT_CURRENCYChar(3)***The ISO currency assigned to the Fund Event
SETTLEMENT_DATEDateyyyy-MM-ddThe calendar day the transaction was batched and electronically deposited
SETTLEMENT_EXCHANGE_RATELongPrecision 2 digitsExchange Rate
SETTLEMENT_PAYMENT_DATEDateyyyy-MM-ddDate the Acquirer system created and transmitted the Fund Event
TRANSACTION_CARD_BRANDString(15)Visa, Maestro, Mastercard, DinersClub, UnionPayHigh-level scheme tag
TRANSACTION_AUTHORIZATION_CODEInt***The six-digit “APPROVED” reference associated with the purchase transaction
TRANSACTION_CURRENCYString(3)***Cardholder Currency Code
TRANSACTION_AMOUNTLongISO amountThe transaction amount
TRANSACTION_DATEDateTimeyyyy-MM-dd hh:mm:ssThe calendar date time the transaction was processed in UTC
TRANSACTION_CARD_TYPEString(20)Consumer, CommercialCard scheme defined type of card used in the transaction payment record
TRANSACTION_MASKED_CARD_NUMBERString(19)679128*****4259The masked number of the cardholder account. Field length can vary from 16 to 19 digits (Amex cards).
TRANSACTION_CARD_USAGEString(25)Credit, DebitThe payment method of the transaction
CHARGEBACK_CONTROL_NUMBERString(50)***The “Case ID” of the cardholder’s chargeback action transaction
ORDER_REFString(100)***The Order Reference
TICKET_NUMBERString(100)***Flight Ticket Number
TRANSACTION_MARKET_IDString(36)***An identification of the Market sent by the client when the Transaction is processed
TRANSACTION_APPLICATION_IDString(36)AlphanumericThe application ID that generated the transaction
TRANSACTION_INITIATED_FROMString(4)AlphanumericThe source of the transaction (ECOM / POS)
AIRPORT_CODEString(3)AlphanumericThe Airport Code where the POS is installed
TRANSACTION_POS_SERIAL_NUMBERString(20)AlphanumericThe Serial Number of the POS that processed the Transaction